#!/bin/bash

touch empty.aux # if no aux is found, md5sum will read stdin instead and hang
if [[ ! -f main_aux.md5 ]]; then
  md5sum `find -print | grep -E "\.aux$|\.toc$|\.lof$|\.lot$|\.loa$|\.lol$|\.idx$" | sort` > main_aux.md5
fi

for i in {1..5}; do
  bibtex main
  bibtex own
  pdflatex -synctex=1 main
  echo running latex

  mv main_aux.md5 main_aux.md5.old
  md5sum `find -print | grep -E "\.aux$|\.toc$|\.lof$|\.lot$|\.loa$|\.lol$|\.idx$" | sort` > main_aux.md5
  RERUN=`diff main_aux.md5 main_aux.md5.old | wc -l`
  rm -f main_aux.md5.old
  echo $RERUN + `grep -E "Rerun to get|Rerun LaTeX" main.log | wc -l`
  RERUN=$(( $RERUN + `grep -E "Rerun to get|Rerun LaTeX" main.log | wc -l` ))

  if [[ $RERUN -eq 0 ]]; then
    echo "finished building your TeX (in $i iterations)"
    break
  fi
done
